%define pkg_name        Class-Virtual
%define pkg_version     0.06
%define rpm_pkg_version 0.06
%define rpm_pkg_release 1.n0i.4

Summary:       Base class for virtual base classes
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/M/MS/MSCHWERN/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)

%if %{!?_without_test:1}0
BuildRequires: perl(Carp::Assert) >= 0.1
BuildRequires: perl(Class::Data::Inheritable) >= 0.02
BuildRequires: perl(Class::ISA) >= 0.31
%endif


%description
This is a base class for implementing virtual base classes (what some
people call an abstract class). Kinda kooky. It allows you to explicitly
declare what methods are virtual and that must be implemented by
subclasses. This might seem silly, since your program will halt and catch
fire when an unimplemented virtual method is hit anyway, but there's some
benefits.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.06-1.n0i.4
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 0.06

* Mon Aug 01 2005 Marius Feraru <altblue@n0i.net> 0.05-1.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- version 0.05

* Fri Jan 30 2004 Marius FERARU <altblue@n0i.net> 0:0.04-0.n0i.2
- version 0.04
- spec file (re?)created using N0i::CPAN::RPMizer/2004011001

* Wed Oct 01 2003 Marius FERARU <altblue@n0i.net> 0.03-0.n0i
- version 0.03
- spec file (re?)created using N0i::CPAN::RPMizer/2003092601
